Subject: Re: [Sipping] I-D: Multiple Reply in the Session Initiation Protocol

From: Jonathan Rosenberg <[email-masked]>
Date: Fri, 13 Jul 2007 11:18:30 -0400

Thanks for posting this.

SInce, in your use cases, it is the human user that needs to send the 
multiplicity of replies, why can't you solve this problem by including 
HTML in the message content? For example:

<html>
Hey, Bob, please have the following people come to the meeting:

<a href="sip:[email-masked];method=MESSAGE">Joe</a>
<a href="sip:[email-masked];method=MESSAGE">Qian</a>
<a href="sip:[email-masked];method=MESSAGE">Sudhir</a>

</html>

This would address your first use case:

However in some scenarios, the Reply-Issuer may want the Reply-
    Recipient to send reply MESSAGE to a list of UAs.  For example, a
    manager sends a message to notify the secretary to prepare a meeting.
    At the same time the manager provides the list of attendees in the
    message.  Whenever the meeting is arranged the secretary can send
    meeting information in reply message to the list of attendees.

-Jonathan R.

Qian Sun wrote:
> Hi, I have just submitted a draft discussing multiple reply-to addresses.
> 
> The I-D can be found at http://www.ietf.org/internet-drafts/draft-sun-sipping-multiple-reply-00.txt
> 
> Abstract:
> 
>    This document defines extensions to the Reply-To header field for
>    MESSAGE so that it can be used to specify multiple addresses as the
>    target of reply MESSAGE.  These extensions include the use of
>    pointers to Uniform Resource Identifier (URI)-lists in the Reply-To
>    header field and the "multiple-reply" SIP option-tag.
> 
> Comments welcome!
> 
> Cheers,
> Qian
> 
> 
> 
> 
> _______________________________________________
> Sipping mailing list  https://www1.ietf.org/mailman/listinfo/sipping
> This list is for NEW development of the application of SIP
> Use [email-masked] for questions on current sip
> Use [email-masked] for new developments of core SIP
> 

-- 
Jonathan D. Rosenberg, Ph.D.                   600 Lanidex Plaza
Cisco Fellow                                   Parsippany, NJ 07054-2711
Cisco Systems
[email-masked]                              FAX:   (973) 952-5050
http://www.jdrosen.net                         PHONE: (973) 952-5000
http://www.cisco.com

_______________________________________________
Sipping mailing list  https://www1.ietf.org/mailman/listinfo/sipping
This list is for NEW development of the application of SIP
Use [email-masked] for questions on current sip
Use [email-masked] for new developments of core SIP